{ pkgs, config, ... }:
{
  nixpkgs.config.allowUnfree = true; #because im a gigachad 

  # boot, networking, locale, stateVersion
  boot.kernel.sysctl."net.ipv4.ip_forward" = 1;

  nix.settings.experimental-features = [ "nix-command" "flakes" ];

  environment.variables.EDITOR = "vim";

  time.timeZone     = "America/New_York";
  i18n.defaultLocale = "en_US.UTF-8";

  system.stateVersion = "24.11";
}

